<?php

declare(strict_types=1);

namespace Dedi\SyliusTaxonTypePlugin\Menu;

use Sylius\Bundle\AdminBundle\Event\ProductMenuBuilderEvent;

final class AdminProductFormMenuListener
{
    public function addItems(ProductMenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        $menu
            ->addChild('brand')
            ->setAttribute('template', '@DediSyliusTaxonTypePlugin/Admin/Product/_brand.html.twig')
            ->setLabel('dedi_sylius_taxon_type_plugin.ui.brand')
        ;
    }
}
